Import Google Sheets As Extraction
curl --request POST \
--url https://api.example.com/api/v1/sheets/import-as-extraction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sheet_url": "<string>",
"sheet_name": "<string>",
"use_oauth": true
}
'import requests
url = "https://api.example.com/api/v1/sheets/import-as-extraction"
payload = {
"sheet_url": "<string>",
"sheet_name": "<string>",
"use_oauth": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sheet_url: '<string>', sheet_name: '<string>', use_oauth: true})
};
fetch('https://api.example.com/api/v1/sheets/import-as-extraction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Google Sheets OAuth
Import Google Sheets As Extraction
Import Google Sheets data as an extraction for processing.
This endpoint imports data from a Google Sheet and creates an extraction record that can be processed through the standard extraction pipeline (sheet selection → column mapping → review/process).
Returns: Dictionary with extraction_id and metadata
POST
/
api
/
v1
/
sheets
/
import-as-extraction
Import Google Sheets As Extraction
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
The response is of type Response Import Google Sheets As Extraction Api V1 Sheets Import As Extraction Post · object.
⌘I